import { mainTableInfoUrl } from '../js/api';
import {setShipbillColumns} from '../../$common/mainTable/tableConfig_shipbill.js'


export const setMainColumns =setShipbillColumns

export default {
  data() {
    return {
      mx_remoteUrl: mainTableInfoUrl,
      mx_remoteParams: {},
      mx_columns:setMainColumns(this),
      mx_selectedRowKeys: [],

    };
  },
  watch: {
    tableExtendedField(value) {
      if (value.length > 0) {
        this.mx_columns = setMainColumns(this, value)
      }
    },
  },
  methods: {

  }
};
